### Function

# EDataServer FreeFormExpBuildSexpFunc

#### Declaration

    gchar*
    (* EFreeFormExpBuildSexpFunc) (
      const gchar* word,
      const gchar* options,
      const gchar* hint
    )

#### Description

No description available.

#### Parameters

`word`

  Type: `const gchar*`

  No description available.

  The data is owned by the caller of the function.
  The value is a NUL terminated UTF-8 string.

`options`

  Type: `const gchar*`

  No description available.

  The data is owned by the caller of the function.
  The value is a NUL terminated UTF-8 string.

`hint`

  Type: `const gchar*`

  No description available.

  The data is owned by the caller of the function.
  The value is a NUL terminated UTF-8 string.

#### Return value

Type: `gchar*`

No description available.

The caller of the function takes ownership of the data, and is responsible for freeing it.
The value is a NUL terminated UTF-8 string.